An internal note was added to a customer or an appointment (in the calendar app or through the API).
data
- e.g.
7 -
The customer.
e.g.61412345678 - appointment_id integer | null
The appointment it was written on. null: a note on the customer alone.
- booking_reference string | nulle.g.
BK-7Q3M2A -
Up to 4000 characters.
- pinned boolean
- created string (date-time)
- updated string (date-time)
- on_this_booking boolean
Only in GET /bookings/{id}/notes: written on that appointment (false: another note of the same customer).
- booking object | null
The appointment the note is on. null: a note on the customer alone.
- timestamp string (date-time)
Inside the envelope {id, type, created, number, test?, data}: envelope, headers, signature.
Caused by
- POST /v1/{number}/bookings/{id}/notes Add an internal note to an appointment
- POST /v1/{number}/bookings/notes Add an internal note to a customer